Subject: bug#28405: Adding entries to LaTeX-indent-environment-list

From: Arash Esbati <[email-masked]>
Date: Tue, 01 Feb 2022 19:51:29 +0100

Hi Keita,

Ikumi Keita <[email-masked]> writes:

>>> I have tweaked LaTeX-indent-environment-list and I noticed bug#28405 [1].
>>> Should we add gather and multline environments as well to
>>> LaTeX-indent-environment-list like this?
>
>>> diff --git a/style/amsmath.el b/style/amsmath.el
>>> index e3cce752..d5fb1da6 100644
>>> --- a/style/amsmath.el
>>> +++ b/style/amsmath.el
>>> @@ -154,7 +154,8 @@
>  
>>> (setq-local LaTeX-indent-environment-list
>>> (append LaTeX-indent-environment-list
>>> -                       '(("equation*")
>>> +                       '(("equation*") ("gather") ("gather*")
>>> +                         ("gathered") ("multline") ("multline*")
>>> ("align"       LaTeX-indent-tabular)
>>> ("align*"      LaTeX-indent-tabular)
>>> ("aligned"     LaTeX-indent-tabular)
>
>>> Note that this fixes bug#28405 whereas it disables filling inside gather
>>> and multline environments, which might confuse some users.
>
> I have the same idea. It's confusing and inconvenient for users like us.
> However,
> 1. bug#28405 shows that there does exist users who don't think so and
>    prefer filling is disabled inside math environmnets.
> 2. Filling has already been disabled in "equation", "equation*" and
>    "displaymath" environments in AUCTeX. In other words, there is
>    inconsistency between those envs and "gather", "multline" envs.

Thanks for raising this inconsistency.  My vote is to harmonize this and
add all math environments to `LaTeX-indent-environment-list',
i.e. disabling filling.  Then the question is how a user can control the
custom variable when we add entries to it as a style is loaded like in
your patch above?  For example, how can I decide here that "multline"
shouldn't be in that variable?  Or am I missing something?

Best, Arash